Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui.resource
Class ToolBarFactory

    java.lang.Object
      org.apache.batik.util.resources.ResourceManager
          org.apache.batik.util.gui.resource.ToolBarFactory

    public class ToolBarFactory

extends ResourceManager

This class represents a tool bar factory which builds tool bars from the content of a resource file.
The resource entries format is (for a tool bar named 'ToolBar'):

       ToolBar           = Item1 Item2 - Item3 ...
       See ButtonFactory.java for details about the items
       ...
     '-' represents a separator

All entries are optional.

Field Summary

Fields inherited from class org.apache.batik.util.resources.ResourceManager
`bundle`

Constructor Summary
`ToolBarFactory(ResourceBundle rb, ActionMap am)` Creates a new tool bar factory

Method Summary
`JButton` | `createJButton(String name)` Creates and returns a new swing button
`JToolBar` | `createJToolBar(String name)` Creates a tool bar

Methods inherited from class org.apache.batik.util.resources.ResourceManager
`getBoolean, getCharacter, getInteger, getString, getStringList, getStringList, getStringList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBarFactory

    public ToolBarFactory(ResourceBundle rb,
                          ActionMap am)

  Creates a new tool bar factory

  Parameters:
    `rb` - the resource bundle that contains the menu bar description.
    `am` - the actions to add to menu items

Method Detail

### createJToolBar

    public JToolBar createJToolBar(String name)
                            throws MissingResourceException,
                                   ResourceFormatException,
                                   MissingListenerException

  Creates a tool bar

  Parameters:
    `name` - the name of the menu bar in the resource bundle
  Throws:
    `MissingResourceException` - if one of the keys that compose the tool bar is missing. It is not thrown if the action key is missing.
    `ResourceFormatException` - if a boolean is malformed
    `MissingListenerException` - if an item action is not found in the action map.

### createJButton

    public JButton createJButton(String name)
                          throws MissingResourceException,
                                 ResourceFormatException,
                                 MissingListenerException

  Creates and returns a new swing button

  Parameters:
    `name` - the name of the button in the resource bundle
  Throws:
    `MissingResourceException` - if key is not the name of a button. It is not thrown if the mnemonic and the action keys are missing
    `ResourceFormatException` - if the mnemonic is not a single character
    `MissingListenerException` - if the button action is not found in the action map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.